Package org.silverpeas.looks.aurora

## Class LookAuroraHelper

- java.lang.Object
- - org.silverpeas.core.web.look.LookHelper
  - - org.silverpeas.core.web.look.LookSilverpeasV5Helper
    - - org.silverpeas.looks.aurora.LookAuroraHelper

-     public class LookAuroraHelper
      extends org.silverpeas.core.web.look.LookSilverpeasV5Helper

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.web.look.LookHelper

      `SESSION_ATT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<AuroraNews>` | `getAllDelegatedNews()` |
    `List<NewsList>` | `getAllNewsBySubscription()` |
    `NewsList` | `getAllNewsByTaxonomyPosition​(String taxonomyPosition)` |
    `List<org.silverpeas.core.admin.component.model.ComponentInst>` | `getApplications()` |
    `List<BannerMainItem>` | `getBannerMainItems()` |
    `BodyPartSettings` | `getBodyPartSettings​(javax.servlet.http.HttpServletRequest request)` |
    `List<org.silverpeas.core.mylinks.model.LinkDetail>` | `getBookmarks()` |
    `org.silverpeas.core.admin.component.model.ComponentInstLight` | `getConfigurationApp​(String spaceId)` |
    `String` | `getDirectoryDomainIds()` |
    `List<org.silverpeas.core.admin.domain.model.Domain>` | `getDirectoryDomains()` |
    `List<org.silverpeas.core.admin.user.model.Group>` | `getDirectoryGroups()` |
    `String` | `getDirectoryURL()` |
    `FreeZone` | `getFreeZone()` |
    `AuroraSpaceHomePage` | `getHomePage​(String spaceId)` |
    `List<AuroraNews>` | `getLastNewsSubscribed()` |
    `List<org.silverpeas.core.contribution.publication.model.PublicationDetail>` | `getLastUpdatedPublications​(String spaceId)` |
    `List<org.silverpeas.core.contribution.publication.model.PublicationDetail>` | `getLastUpdatedPublicationsSince​(String spaceId, int sinceNbDays, int nbPublis)` |
    `List<org.silverpeas.core.contribution.publication.model.PublicationDetail>` | `getLatestPublications()` |
    `List<org.silverpeas.core.contribution.publication.model.PublicationDetail>` | `getLatestPublications​(String spaceId, int nbPublis)` |
    `org.silverpeas.kernel.bundle.LocalizationBundle` | `getLocalizedBundle()` |
    `String` | `getLoginHomePage()` |
    `LookSettings` | `getLookSettings()` |
    `org.silverpeas.core.contribution.content.form.Form` | `getMainSearchForm()` |
    `List<org.silverpeas.core.web.look.Shortcut>` | `getMainShortcuts()` |
    `List<org.silverpeas.core.contribution.publication.model.PublicationDetail>` | `getMoreLatestPublications()` |
    `NewsList` | `getNews()` |
    `List<AuroraNews>` | `getNews​(int index, int max)` |
    `NewUsersList` | `getNewUsersList()` |
    `NextEvents` | `getNextEvents()` |
    `protected NextEvents` | `getNextEvents​(List<String> allowedComponentIds, boolean includeToday, int nbDays, boolean onlyImportant)` |
    `List<Project>` | `getProjects()` |
    `List<Project>` | `getProjects​(boolean includeApps)` |
    `String` | `getProjectsSpaceId()` |
    `Questions` | `getQuestions()` |
    `RSSFeeds` | `getRSSFeeds()` |
    `NewsList` | `getSecondaryNews()` |
    `List<org.silverpeas.core.web.look.Shortcut>` | `getShortcuts​(String id)` |
    `String` | `getSpaceHomePageCustomTemplate​(String spaceId)` |
    `NewUsersList` | `getSpaceNewUsersList​(String spaceId)` |
    `FreeZone` | `getThinFreeZone()` |
    `NewsList` | `getThirdNews()` |
    `List<org.silverpeas.core.web.look.Shortcut>` | `getToolsShortcuts()` |
    `List<City>` | `getWeatherCities()` |
    `void` | `initLayoutConfiguration()` |
    `boolean` | `isBookmarkDisplayEnabled()` |
    `boolean` | `isDirectoryDisplayEnabled()` |
    `boolean` | `isSpaceAdmin​(String spaceId)` |
    `boolean` | `isUserCanDisplayMainHomePage()` |
    `static org.silverpeas.core.web.look.LookHelper` | `newLookHelper​(javax.servlet.http.HttpSession session)` |

    - ### Methods inherited from class org.silverpeas.core.web.look.LookSilverpeasV5Helper

      `displayContextualPDC, displayPDCFrame, displayPDCInNavigationFrame, displaySpaceIcons, getComponentId, getComponentURL, getComponentURL, getDate, getDefaultSpaceId, getDisplayUserMenu, getGraphicElementFactory, getLanguage, getLatestPublications, getLayoutConfiguration, getMainFrame, getMainSessionController, getNBConnectedUsers, getNews, getOrganisationController, getPublicationHelper, getPublicationService, getSettings, getSettings, getSettings, getSettings, getSettingsBundle, getShortcuts, getSpaceAdmins, getSpaceHomePage, getSpaceHomePage, getSpaceId, getSpaceId, getSpaceWallPaper, getSpaceWithCSSToApply, getString, getSubSpaceId, getTickerSettings, getTopItems, getTopSpaceIds, getURLOfLastVisitedCollaborativeSpace, getUserDetail, getUserFull, getUserFullName, getUserFullName, getUserId, getValidPublications, getWallPaper, getZoneId, init, isAccessGuest, isAnonymousAccess, isAnonymousUser, isBackOfficeVisible, isDisplayPDCInHomePage, isEnableUFSContainsState, isMenuPersonalisationEnabled, setComponentId, setComponentIdAndSpaceIds, setDisplayUserMenu, setMainFrame, setSpaceId, setSpaceIdAndSubSpaceId, setSubSpaceId`

    - ### Methods inherited from class org.silverpeas.core.web.look.LookHelper

      `getLookHelper, isConnectedUsersDisplayEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newLookHelper

          public static org.silverpeas.core.web.look.LookHelper newLookHelper​(javax.servlet.http.HttpSession session)

    - #### initLayoutConfiguration

          public void initLayoutConfiguration()

      Overrides:
        `initLayoutConfiguration` in class `org.silverpeas.core.web.look.LookSilverpeasV5Helper`

    - #### getBannerMainItems

          public List<BannerMainItem> getBannerMainItems()

    - #### getProjectsSpaceId

          public String getProjectsSpaceId()

    - #### getProjects

          public List<Project> getProjects()

    - #### getProjects

          public List<Project> getProjects​(boolean includeApps)

    - #### getLoginHomePage

          public String getLoginHomePage()

    - #### getToolsShortcuts

          public List<org.silverpeas.core.web.look.Shortcut> getToolsShortcuts()

    - #### getMainShortcuts

          public List<org.silverpeas.core.web.look.Shortcut> getMainShortcuts()

    - #### getShortcuts

          public List<org.silverpeas.core.web.look.Shortcut> getShortcuts​(String id)

    - #### getWeatherCities

          public List<City> getWeatherCities()

    - #### getLatestPublications

          public List<org.silverpeas.core.contribution.publication.model.PublicationDetail> getLatestPublications()

    - #### getMoreLatestPublications

          public List<org.silverpeas.core.contribution.publication.model.PublicationDetail> getMoreLatestPublications()

    - #### getApplications

          public List<org.silverpeas.core.admin.component.model.ComponentInst> getApplications()

    - #### getLatestPublications

          public List<org.silverpeas.core.contribution.publication.model.PublicationDetail> getLatestPublications​(String spaceId,
                                                                                                                  int nbPublis)

      Overrides:
        `getLatestPublications` in class `org.silverpeas.core.web.look.LookSilverpeasV5Helper`

    - #### getNews

          public NewsList getNews()

    - #### getSecondaryNews

          public NewsList getSecondaryNews()

    - #### getThirdNews

          public NewsList getThirdNews()

    - #### getNews

          public List<AuroraNews> getNews​(int index,
                                          int max)

    - #### getAllDelegatedNews

          public List<AuroraNews> getAllDelegatedNews()

    - #### getAllNewsByTaxonomyPosition

          public NewsList getAllNewsByTaxonomyPosition​(String taxonomyPosition)

    - #### getNextEvents

          public NextEvents getNextEvents()

    - #### getNextEvents

          protected NextEvents getNextEvents​(List<String> allowedComponentIds,
                                             boolean includeToday,
                                             int nbDays,
                                             boolean onlyImportant)

    - #### getLastUpdatedPublicationsSince

          public List<org.silverpeas.core.contribution.publication.model.PublicationDetail> getLastUpdatedPublicationsSince​(String spaceId,
                                                                                                                            int sinceNbDays,
                                                                                                                            int nbPublis)

    - #### getLastUpdatedPublications

          public List<org.silverpeas.core.contribution.publication.model.PublicationDetail> getLastUpdatedPublications​(String spaceId)

    - #### getBookmarks

          public List<org.silverpeas.core.mylinks.model.LinkDetail> getBookmarks()

    - #### getQuestions

          public Questions getQuestions()

    - #### getLocalizedBundle

          public org.silverpeas.kernel.bundle.LocalizationBundle getLocalizedBundle()

      Overrides:
        `getLocalizedBundle` in class `org.silverpeas.core.web.look.LookSilverpeasV5Helper`

    - #### getLookSettings

          public LookSettings getLookSettings()

    - #### getBodyPartSettings

          public BodyPartSettings getBodyPartSettings​(javax.servlet.http.HttpServletRequest request)

    - #### isUserCanDisplayMainHomePage

          public boolean isUserCanDisplayMainHomePage()

    - #### getDirectoryDomains

          public List<org.silverpeas.core.admin.domain.model.Domain> getDirectoryDomains()

    - #### getDirectoryGroups

          public List<org.silverpeas.core.admin.user.model.Group> getDirectoryGroups()

    - #### isDirectoryDisplayEnabled

          public boolean isDirectoryDisplayEnabled()

      Overrides:
        `isDirectoryDisplayEnabled` in class `org.silverpeas.core.web.look.LookHelper`

    - #### isBookmarkDisplayEnabled

          public boolean isBookmarkDisplayEnabled()

    - #### getDirectoryURL

          public String getDirectoryURL()

    - #### getDirectoryDomainIds

          public String getDirectoryDomainIds()

    - #### getRSSFeeds

          public RSSFeeds getRSSFeeds()

    - #### getFreeZone

          public FreeZone getFreeZone()

    - #### getThinFreeZone

          public FreeZone getThinFreeZone()

    - #### getHomePage

          public AuroraSpaceHomePage getHomePage​(String spaceId)

    - #### getConfigurationApp

          public org.silverpeas.core.admin.component.model.ComponentInstLight getConfigurationApp​(String spaceId)

    - #### isSpaceAdmin

          public boolean isSpaceAdmin​(String spaceId)

    - #### getMainSearchForm

          public org.silverpeas.core.contribution.content.form.Form getMainSearchForm()

    - #### getSpaceHomePageCustomTemplate

          public String getSpaceHomePageCustomTemplate​(String spaceId)

    - #### getNewUsersList

          public NewUsersList getNewUsersList()

    - #### getSpaceNewUsersList

          public NewUsersList getSpaceNewUsersList​(String spaceId)

    - #### getAllNewsBySubscription

          public List<NewsList> getAllNewsBySubscription()

    - #### getLastNewsSubscribed

          public List<AuroraNews> getLastNewsSubscribed()